#ifndef AUDIO_EDITOR_H
#define AUDIO_EDITOR_H
#include <QLabel>
#include <QGraphicsColorizeEffect>

class audio_editor : public QLabel
{
	Q_OBJECT
	public:
		audio_editor(QWidget * parent);
	public:
                //int nbre_diapo;

                int length_media;
                int nbre_diapos;

		int position;
                QString title_audio;

                QColor wg_color_1;
                QColor wg_color_2;
                QColor wg_color_3;
                QColor wg_color_4;
                QColor wg_color_5;

                int is_fade_in;
                int is_fade_out;

                QAction *fadein;
                QAction *fadeout;

                //QRadialGradient pntgrad;
                QGraphicsColorizeEffect *myeffect;

                QPoint points_fad[4];

        public slots:
                void f_fadein();
                void f_fadeout();

	signals:
                void recalc();
	private:
		QPoint dragPosition;
	protected:
                void mouseMoveEvent(QMouseEvent *);
                void mousePressEvent ( QMouseEvent *);
                void paintEvent(QPaintEvent *);
                void enterEvent(QEvent *);
                void leaveEvent(QEvent *);
                void contextMenuEvent(QContextMenuEvent *);
};
#endif
