/* ============================================================
 * File  : frame_bk.cpp
 * Author: Stephane Gibault
 * Date  : Sun Feb 4 2007
 * Description :
 *
 * 
 *  (C) 2007 by Stephane Gibault
 *
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software Foundation;
 * either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * ============================================================ */
#include <QtGui>
#include "frame_bk.h"

frame_bk::frame_bk ( QWidget * parent )
    : QFrame(parent)
{
	this->setAttribute(Qt::WA_DeleteOnClose);
        this->setMouseTracking(true);

       // QPropertyAnimation *animation = new QPropertyAnimation(this, "geometry");
       // hdl_animation = animation;

      //  is_lock = 0;

        QPalette mypal = QApplication::palette();
        wg_color_1 = mypal.color(QPalette::Window);
        wg_color_2 = mypal.color(QPalette::Light);

        /*QGraphicsDropShadowEffect *myeffect = new QGraphicsDropShadowEffect();
        myeffect->setXOffset(1);
        myeffect->setYOffset(1);
        myeffect->setBlurRadius(2.0);*/
        //this->setAttribute(Qt::WA_TranslucentBackground, true);
        //this->setGraphicsEffect(myeffect);
}

//void frame_bk::mouseMoveEvent(QMouseEvent *)
//{
	//if (!(event->buttons() & Qt::LeftButton)) return;
	//move(event->globalPos() - dragPosition);
        /*if ( event->y() > 50 && event->y() < 200 && event->x() < 40 && is_open == 0 )
	{
                //emit show_frame_bk();
                QPropertyAnimation *animation = new QPropertyAnimation(this, "geometry");
                animation->setDuration(250);
                animation->setStartValue(QRect(this->geometry().x(),this->geometry().y(),this->width(),this->height()));
                animation->setEndValue(QRect(this->geometry().x()-this->width(),this->geometry().y(),this->width(),this->height()));
                animation->setEasingCurve(QEasingCurve::InOutCubic);
                is_open = 1;
                animation->start();
                hdl_animation = animation;
        }*/
//}

/*void frame_bk::mousePressEvent ( QMouseEvent * event )
{
	dragPosition = event->globalPos() - frameGeometry().topLeft();
}*/

//void frame_bk::enterEvent ( QEvent * )
//{
    /*if ( this->geometry().x() < -1 && hdl_animation->state() != QAbstractAnimation::Running )
    {
        QPropertyAnimation *animation = new QPropertyAnimation(this, "geometry");
        animation->setDuration(250);
        animation->setStartValue(QRect(this->geometry().x(),this->geometry().y(),this->width(),this->height()));
        animation->setEndValue(QRect(0,this->geometry().y(),this->width(),this->height()));
        animation->setEasingCurve(QEasingCurve::InOutCubic);
        animation->start();
        hdl_animation = animation;
        //emit show_frame_bk();
    }*/
//}

//void frame_bk::leaveEvent ( QEvent * )
//{
    /*if ( hdl_animation->state() != QAbstractAnimation::Running && is_lock == 0 )
    {
        QPropertyAnimation *animation = new QPropertyAnimation(this, "geometry");
        animation->setDuration(250);
        animation->setStartValue(QRect(this->geometry().x(),this->geometry().y(),this->width(),this->height()));
        animation->setEndValue(QRect(this->geometry().x()-(this->width()-10),this->geometry().y(),this->width(),this->height()));
        animation->setEasingCurve(QEasingCurve::InOutCubic);
        animation->start();
    }*/
    /*if ( hdl_animation->state() != QAbstractAnimation::Running )
    {
        //emit hide_frame_bk();
        QPropertyAnimation *animation = new QPropertyAnimation(this, "geometry");
        animation->setDuration(250);
        animation->setStartValue(QRect(this->geometry().x(),this->geometry().y(),this->width(),this->height()));
        animation->setEndValue(QRect(this->geometry().x()+this->width(),this->geometry().y(),this->width(),this->height()));
        animation->setEasingCurve(QEasingCurve::InOutCubic);
        animation->start();
        hdl_animation = animation;
        is_open = 0;
    }*/
//}

// ********************************
// *** DESSIN DU FOND DU WIDGET ***
// ********************************

void frame_bk::paintEvent(QPaintEvent *)
{
        QPainter p;
	p.begin(this);
	p.setPen(Qt::NoPen);
	p.setRenderHint(QPainter::Antialiasing,true);

        QLinearGradient Gradient1(0.0,0.0,0.0,this->height()+20);
        Gradient1.setColorAt(0.2, wg_color_1);
        Gradient1.setColorAt(1.0, wg_color_1.darker(120));
        p.setBrush(Gradient1);

        p.drawRect(0, 0, this->width(), this->height());

        //p.setPen(wg_color_2);
        //p.drawLine(0,0,this->width(),1);

        p.end();
}

