/* ============================================================
 * File  : frame_bk_timeline.cpp
 * Author: Stephane Gibault
 * Date  : Sun Feb 4 2007
 * Description :
 *
 * 
 *  (C) 2007 by Stephane Gibault
 *
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software Foundation;
 * either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * ============================================================ */
#include <QtGui>
#include "frame_bk_timeline.h"

frame_bk_timeline::frame_bk_timeline ( QWidget * parent )
    : QFrame(parent)
{
	this->setAttribute(Qt::WA_DeleteOnClose);
        this->setMouseTracking(true);

       // QPropertyAnimation *animation = new QPropertyAnimation(this, "geometry");
       // hdl_animation = animation;

      //  is_lock = 0;

        QPalette mypal = QApplication::palette();
        wg_color_1 = mypal.color(QPalette::Window);
        wg_color_2 = mypal.color(QPalette::Light);
}

// ********************************
// *** DESSIN DU FOND DU WIDGET ***
// ********************************

void frame_bk_timeline::paintEvent(QPaintEvent *)
{
        QPainter p;
	p.begin(this);
	p.setPen(Qt::NoPen);
	p.setRenderHint(QPainter::Antialiasing,true);

        /*QLinearGradient Gradient1(0.0,0.0,0.0,this->height()+20);
        Gradient1.setColorAt(0.2, wg_color_1);
        Gradient1.setColorAt(1.0, wg_color_1);
        p.setBrush(Gradient1);*/

        p.setBrush(wg_color_1);

        p.drawRect(0, 0, this->width(), this->height());

        /*int wl_int_001 = -20;
        p.setPen(wg_color_1.darker(120));
        while ( wl_int_001 < this->width() )
        {
            p.drawLine(wl_int_001,this->height(),wl_int_001+20,0);
            wl_int_001=wl_int_001+20;
        }*/
        /*p.setPen(wg_color_2);
        p.drawLine(0,0,this->width(),1);*/

        /*p.setPen(wg_color_1.darker(120));
        p.drawLine(40,this->height()-1,this->width()-80,this->height()-1);*/

        p.end();
}

