#ifndef diapos_th_H
#define diapos_th_H
#include <QLabel>
#include <QGraphicsColorizeEffect>

class diapos_th : public QLabel
{
	Q_OBJECT
	public:
                diapos_th(QWidget * parent);
		int is_first;
		int is_edit;
                QImage draw_image;

                QAction *action_supprimer;
                QAction *action_dupliquer;

                QGraphicsColorizeEffect *myeffect;

	public:
	private:
	signals:
                void select_diapoth(diapos_th*);
                void delete_diapoth(diapos_th*);
                void dupliquer_diapoth(diapos_th*);
                void enter_diath(diapos_th*);
                void leave_diath(diapos_th*);

	public slots:
                void supprimer();
                void dupliquer();

	protected:
		void contextMenuEvent(QContextMenuEvent *);
		void mousePressEvent(QMouseEvent *);
                void mouseMoveEvent(QMouseEvent *);
		void paintEvent(QPaintEvent *);
                void enterEvent(QEvent *);
                void leaveEvent(QEvent *);

                Qt::DropActions supportedDropActions () const;
};
#endif
