#ifndef slide_timeline_H
#define slide_timeline_H
#include <QFrame>
#include <QGraphicsColorizeEffect>

class slide_timeline : public QFrame
{
	Q_OBJECT
	public:
		slide_timeline(QWidget * parent);

                int pos_x;
                int wg_int_001; // *** VARIABLE BOUCLE MARQUE POS ***
                int wg_int_002;
                int length_diapo;
                int num_select;
                int last_point_x;
                int last_point_y;
                int last_point_x_blur;
                int last_point_y_blur;
                int grab_position;

                float wl_pos;

                int is_on_mark;
                int save_point;
                int new_position;
                int is_object;
                int wl_int_001;

                QPoint points_opa[4];

                QAction *mark_position;
                QAction *visible_position;
                QAction *invisible_position;
                QAction *delete_position;
                QAction *deplace_position;
                QAction *valide_deplace_position;
                QAction *annule_deplace_position;

                QAction *visible_1;
                QAction *visible_2;
                QAction *visible_3;
                QAction *visible_4;
                QAction *visible_5;
                QAction *visible_6;
                QAction *visible_7;
                QAction *visible_8;
                QAction *visible_9;
                QAction *visible_10;
                QAction *visible_11;

                QAction *invisible_1;
                QAction *invisible_2;
                QAction *invisible_3;
                QAction *invisible_4;
                QAction *invisible_5;
                QAction *invisible_6;
                QAction *invisible_7;
                QAction *invisible_8;
                QAction *invisible_9;
                QAction *invisible_10;
                QAction *invisible_11;

                QString tab_mark[20][4];
                QGraphicsColorizeEffect *myeffect;

	public slots:
                void f_mark_position();
                void f_init_pos();
                void f_mark_visible();
                void f_mark_visible_1();
                void f_mark_visible_2();
                void f_mark_visible_3();
                void f_mark_visible_4();
                void f_mark_visible_5();
                void f_mark_visible_6();
                void f_mark_visible_7();
                void f_mark_visible_8();
                void f_mark_visible_9();
                void f_mark_visible_10();
                void f_mark_visible_11();

                void f_mark_invisible();
                void f_mark_invisible_1();
                void f_mark_invisible_2();
                void f_mark_invisible_3();
                void f_mark_invisible_4();
                void f_mark_invisible_5();
                void f_mark_invisible_6();
                void f_mark_invisible_7();
                void f_mark_invisible_8();
                void f_mark_invisible_9();
                void f_mark_invisible_10();
                void f_mark_invisible_11();

                void f_delete_position();
                void f_deplace_position();
                void f_valide_deplace_position();
                void f_annule_deplace_position();

	private:
                void contextMenuEvent(QContextMenuEvent *);
                void mouseMoveEvent(QMouseEvent *);
                void mousePressEvent(QMouseEvent *);
                void leaveEvent(QEvent *);
                void enterEvent(QEvent *);

	signals:
                void follow(int);
                void position_timeline(int);
                void mark();
                void enter_timeline();
                void exit_timeline();
                void mark_visible(int);
                void s_delete_position(int);
                void deplace_keyframe();

	protected:
                /*void dragMoveEvent(QDragMoveEvent *event);
		void contextMenuEvent(QContextMenuEvent *event);
		void dragEnterEvent(QDragEnterEvent *event);
		void dropEvent(QDropEvent *event);
		void wheelEvent(QWheelEvent *event);
                Qt::DropActions supportedDropActions () const;*/
                void paintEvent(QPaintEvent *);

                /*void resizeEvent(QResizeEvent *e)
                {
                        QFrame::resizeEvent(e);
                        emit f_resize(e);
                }*/
};
#endif
